package btc

import (
	"testing"

	"github.com/stretchr/testify/require"
)

func Test_bitcoinService_GetBlock(t *testing.T) {
	th := newTestHelper()
	blockHash := "00000000000000043d385a031abd1f911aae1783810ec5f59a1db9e3ff7eac80"
	block, err := th.b.getBlock(blockHash)
	require.NoError(t, err)
	require.NotNil(t, block)
	require.Greater(t, len(block.Tx), 0)
}
