package btc

import (
	"testing"

	"github.com/stretchr/testify/require"
)

func Test_bitcoinService_GetTransaction(t *testing.T) {
	th := newTestHelper()
	txid := "1dd9a1be3dc4feba3031cda110bd043535bc170a34a7664b231ccda3c3928e93"
	trx, err := th.b.getTransaction(txid)
	require.NoError(t, err)
	require.Equal(t, trx.Txid, txid)
}
