package btc

import (
	"testing"

	"github.com/stretchr/testify/require"
)

func Test_bitcoinService_getRawTransaction(t *testing.T) {
	th := newTestHelper()
	txid := "873d5516a9cacc065bb30831bf4855b058f59a2a4877e08e0e28c22c51c58e39"
	tx, err := th.b.getTransaction(txid)
	require.NoError(t, err)

	rawTrx, err := th.b.getRawTransaction(tx.Txid, tx.Blockhash)
	require.NoError(t, err)
	require.Equal(t, rawTrx.Txid, txid)

	require.NotEmpty(t, rawTrx.getOpReturn())

	// hexMessage := rawTrx.getOpReturn()
	// bts, err := hex.DecodeString(hexMessage)
	// require.NoError(t, err)
	// require.Equal(t, testMessage, string(bts))
}
