package btc

import (
	"gitea.urkob.com/urko/btc-pay-checker/kit"
	"gitea.urkob.com/urko/btc-pay-checker/kit/cfg"
)

type testHelper struct {
	testDeliveryAddress string
	config              *cfg.Config
	b                   *BitcoinService
}

func newTestHelper() *testHelper {
	config := cfg.NewConfig(kit.RootDir() + "/.test.env")
	testDeliveryAddress := config.WalletAddress
	return &testHelper{
		config:              config,
		testDeliveryAddress: testDeliveryAddress,
		b:                   NewBitcoinService(config.RpcHost, config.RpcAuth, config.RpcZmq, config.WalletAddress),
	}
}
